/*
 * DEVICE LIBRARY HEADER TPIC6b595
 * Schieberegister - Softwareansteuerung - beliebiger Port
 * DKC2022
 */

#ifndef DEV_6b595_H
#define DEV_6b595_H

#define tpic6b595_PORT      PORTB   //Portregister für Zustand (low/hi)
#define tpic6b595_DDR       DDRB    //Datenrichtungsregister DDRx (DDRA, DDRB, ...)
#define tpic6b595_PIN_CLOCK PINB0   //IC Clock
#define tpic6b595_PIN_RCK   PINB1   //HI Puls übernimmt Daten ins Ausgaberegister
#define tpic6b595_PIN_SERIN PINB2   //IC Daten Input


void dev_6b595_action(void);
void dev_6b595_setbyte(uint8_t byte);
void dev_6b595_setaload(uint8_t byte);
void dev_6b595_init(void);
	
#endif //DEV_6b595_H
